Bug 221214 - [NEW PORT] audio/lv2file: Simple program that apples LV2 effects to audio files
Summary: [NEW PORT] audio/lv2file: Simple program that apples LV2 effects to audio files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords: feature
Depends on: 221210
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 04:39 UTC by Yuri Victorovich
Modified: 2017-08-17 21:58 UTC (History)
1 user (show)

See Also:


Attachments
shar (3.10 KB, text/plain)
2017-08-04 04:39 UTC, Yuri Victorovich
no flags Details
shar (3.15 KB, text/plain)
2017-08-11 05:10 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-08-04 04:39:43 UTC
Created attachment 185008 [details]
shar

QAs:
* pourdriere
* portlint
* runs fine
Comment 1 Yuri Victorovich freebsd_committer 2017-08-11 05:10:00 UTC
Created attachment 185257 [details]
shar

Fixed stripping.
Comment 2 Richard Gallamore freebsd_committer 2017-08-17 05:18:38 UTC
Looks good except for the version.

git describe --tags aed7c77
debian/0.82-1-19-gaed7c77

I already changed the port to correct version. Thanks for your contributions.
Comment 3 commit-hook freebsd_committer 2017-08-17 21:54:28 UTC
A commit references this bug:

Author: ultima
Date: Thu Aug 17 21:53:31 UTC 2017
New revision: 448198
URL: https://svnweb.freebsd.org/changeset/ports/448198

Log:
  lv2file is a simple program which you can use to apply effects to your audio
  files without much hassle. Possible use cases are:

  * When you want to apply an effect without having to open a GUI or start a project.
  * When you want to apply effects to a large number of files, or in an automated manner.
  * When you need a deterministic environment to debug a plugin.
  * You like everything to be on the command line.

  lv2file uses the LV2 plugin format (http://lv2plug.in/) for the effects it uses.

  WWW: https://github.com/jeremysalwen/lv2file

  PR:		221214
  Submitted by:	Yuri Victorovich (maintainer)
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12058

Changes:
  head/audio/Makefile
  head/audio/lv2file/
  head/audio/lv2file/Makefile
  head/audio/lv2file/distinfo
  head/audio/lv2file/files/
  head/audio/lv2file/files/patch-Makefile
  head/audio/lv2file/pkg-descr
Comment 4 Richard Gallamore freebsd_committer 2017-08-17 21:58:01 UTC
One more item that I did not know.

Never install files by "cat"'ing them in place.
INSTALL_MAN will automatically compress if needed.

Committed, thanks!